Warface

Informations

Creator Message
jimy byerley Anonymous

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 927
Wine: 2.22

Feedbacks

Description

Warface is a cooperative oriented FPS with good graphic quality.

In several years, the oil resource and pollution will make the planet fall into civilian war. During the chaos, Blackwood is at the head of an evil organization that doesn't stop to human rights or genocides to gain power. The warface troops are sent to arrest him.

Wikipedia page.

Source code

#!/bin/bash
# Date : (2016-05-23 12:12)
# Last revision : (2019-08-02 20:33)
# Wine version used : 2.22
# Distribution used to test : Debian 8 (Wheezy)
# Author : Jimy Byerley
# License : GNU/GPL v3
    
## Beta script ##

# CHANGELOG:
# [Jimy Byerley] (2016-05-23 12:12)
#    First version.
# [Dadu042] (2019-08-02 20:33)
#    Wine 1.9.9 -> 2.22 (more common)
    
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
    
TITLE="Warface"
PREFIX="Warface"
EDITOR="Crytek"
GAME_URL="http://www.warface.com/"
AUTHOR="Jimy Byerley"
GAME_VMS="256"
STEAM_ID="291480"
    
# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2346
    
# Starting debugging API
POL_Debug_Init
    
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
    
# Setting Wine Version
WORKING_WINE_VERSION="2.22"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
    
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
    
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
    
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
  
# Install mandatory dependencies
POL_Call POL_Install_xact
POL_Call POL_Install_xinput
#POL_Call POL_Install_d3dx9

# Prepare Steam
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
    
# Run the install
POL_Wine_WaitBefore "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
POL_Wine_WaitExit "$TITLE"
    
# Making shortcut
POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/$STEAM_ID" "Game;"

#Closing POL
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
Dadu042 Friday 2 August 2019 at 20:33
Dadu042
Moderator

Information

This update has been approved by the team.

Message

-> Wine 2.22

Differences

@@ -0,0 +1,74 @@
+#!/bin/bash
+# Date : (2016-05-23 12:12)
+# Last revision : (2019-08-02 20:33)
+# Wine version used : 2.22
+# Distribution used to test : Debian 8 (Wheezy)
+# Author : Jimy Byerley
+# License : GNU/GPL v3
+    
+## Beta script ##
+
+# CHANGELOG:
+# [Jimy Byerley] (2016-05-23 12:12)
+#    First version.
+# [Dadu042] (2019-08-02 20:33)
+#    Wine 1.9.9 -> 2.22 (more common)
+    
+[ "$PLAYONLINUX" = "" ] && exit 1
+source "$PLAYONLINUX/lib/sources"
+    
+TITLE="Warface"
+PREFIX="Warface"
+EDITOR="Crytek"
+GAME_URL="http://www.warface.com/"
+AUTHOR="Jimy Byerley"
+GAME_VMS="256"
+STEAM_ID="291480"
+    
+# Starting the script
+POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
+POL_SetupWindow_Init
+POL_SetupWindow_SetID 2346
+    
+# Starting debugging API
+POL_Debug_Init
+    
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+    
+# Setting Wine Version
+WORKING_WINE_VERSION="2.22"
+    
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+    
+# Downloading wine if necessary and creating prefix
+POL_System_SetArch "x86"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+    
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
+    
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+  
+# Install mandatory dependencies
+POL_Call POL_Install_xact
+POL_Call POL_Install_xinput
+#POL_Call POL_Install_d3dx9
+
+# Prepare Steam
+POL_Call POL_Install_steam
+POL_Call POL_Install_steam_flags "$STEAM_ID"
+    
+# Run the install
+POL_Wine_WaitBefore "$TITLE"
+cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+POL_Wine_WaitExit "$TITLE"
+    
+# Making shortcut
+POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/$STEAM_ID" "Game;"
+
+#Closing POL
+POL_SetupWindow_Close
+exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2016-05-23 12:12)
# Last revision : (2019-08-02 20:33)
# Wine version used : 2.22
# Distribution used to test : Debian 8 (Wheezy)
# Author : Jimy Byerley
# License : GNU/GPL v3
    
## Beta script ##

# CHANGELOG:
# [Jimy Byerley] (2016-05-23 12:12)
#    First version.
# [Dadu042] (2019-08-02 20:33)
#    Wine 1.9.9 -> 2.22 (more common)
    
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
    
TITLE="Warface"
PREFIX="Warface"
EDITOR="Crytek"
GAME_URL="http://www.warface.com/"
AUTHOR="Jimy Byerley"
GAME_VMS="256"
STEAM_ID="291480"
    
# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2346
    
# Starting debugging API
POL_Debug_Init
    
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
    
# Setting Wine Version
WORKING_WINE_VERSION="2.22"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
    
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
    
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
    
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
  
# Install mandatory dependencies
POL_Call POL_Install_xact
POL_Call POL_Install_xinput
#POL_Call POL_Install_d3dx9

# Prepare Steam
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
    
# Run the install
POL_Wine_WaitBefore "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
POL_Wine_WaitExit "$TITLE"
    
# Making shortcut
POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/$STEAM_ID" "Game;"

#Closing POL
POL_SetupWindow_Close
exit 0

Replies

jimy byerley Monday 23 May 2016 at 21:26
jimy byerley Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

I think I have corrected all mistakes in dates and author names ...

This script works for wine 1.9.9 and is supposed to work on wine 1.8.2 crossoverpack ...

Differences

@@ -0,0 +1,68 @@
+#!/bin/bash
+# Date : (2016-05-23 12:12)
+# Last revision : (2016-05-23 12:12)
+# Wine version used : 1.9.9
+# Distribution used to test : Debian 8 (Wheezy)
+# Author : Jimy Byerley
+# License : GNU/GPL v3
+    
+## Beta script ##
+    
+[ "$PLAYONLINUX" = "" ] && exit 1
+source "$PLAYONLINUX/lib/sources"
+    
+TITLE="Warface"
+PREFIX="Warface"
+EDITOR="Crytek"
+GAME_URL="http://www.warface.com/"
+AUTHOR="Jimy Byerley"
+GAME_VMS="256"
+STEAM_ID="291480"
+    
+# Starting the script
+POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
+POL_SetupWindow_Init
+POL_SetupWindow_SetID 2346
+    
+# Starting debugging API
+POL_Debug_Init
+    
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+    
+# Setting Wine Version
+WORKING_WINE_VERSION="1.9.9"
+    
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+    
+# Downloading wine if necessary and creating prefix
+POL_System_SetArch "x86"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+    
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
+    
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+  
+# Install mandatory dependencies
+POL_Call POL_Install_xact
+POL_Call POL_Install_xinput
+#POL_Call POL_Install_d3dx9
+
+# Prepare Steam
+POL_Call POL_Install_steam
+POL_Call POL_Install_steam_flags "$STEAM_ID"
+    
+# Run the install
+POL_Wine_WaitBefore "$TITLE"
+cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+POL_Wine_WaitExit "$TITLE"
+    
+# Making shortcut
+POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/$STEAM_ID" "Game;"
+
+#Closing POL
+POL_SetupWindow_Close
+exit 0

New source code

#!/bin/bash
# Date : (2016-05-23 12:12)
# Last revision : (2016-05-23 12:12)
# Wine version used : 1.9.9
# Distribution used to test : Debian 8 (Wheezy)
# Author : Jimy Byerley
# License : GNU/GPL v3
    
## Beta script ##
    
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
    
TITLE="Warface"
PREFIX="Warface"
EDITOR="Crytek"
GAME_URL="http://www.warface.com/"
AUTHOR="Jimy Byerley"
GAME_VMS="256"
STEAM_ID="291480"
    
# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2346
    
# Starting debugging API
POL_Debug_Init
    
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
    
# Setting Wine Version
WORKING_WINE_VERSION="1.9.9"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
    
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
    
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
    
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
  
# Install mandatory dependencies
POL_Call POL_Install_xact
POL_Call POL_Install_xinput
#POL_Call POL_Install_d3dx9

# Prepare Steam
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
    
# Run the install
POL_Wine_WaitBefore "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
POL_Wine_WaitExit "$TITLE"
    
# Making shortcut
POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/$STEAM_ID" "Game;"

#Closing POL
POL_SetupWindow_Close
exit 0

Replies